PHPExcel_RichText_TextElement

category | PHPExcel
package | PHPExcel_RichText
copyright | Copyright (c) 2006 - 2014 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Implement PHP __clone to create a deep clone, not just a shallow copy.

    __clone()

## Create a new PHPExcel_RichText_TextElement instance

    __construct(string $pText)

### Parameters

#### $pText

`string`

Text

## Get font

    getFont() : \PHPExcel_Style_Font

### Returns

`\PHPExcel_Style_Font`

## Get hash code

    getHashCode() : string

### Returns

`string`Hash code

## Get text

    getText() : string

### Returns

`string`Text

## Set text

    setText($pText) : \PHPExcel_RichText_ITextElement

### Parameters

#### $pText

string Text

### Returns

`\PHPExcel_RichText_ITextElement`

### Properties

##

    $_text : string